--- title: "getCloudHadoopImageProductList" slug: "analytics-vhadoop-getcloudhadoopimageproductlist" tags: ["Cloud Hadoop"] updated: 2026-09-17T09:48:02Z published: 2026-09-17T09:48:02Z canonical: "api.ncloud-docs.com/analytics-vhadoop-getcloudhadoopimageproductlist" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # getCloudHadoopImageProductList Available in VPC Get cluster images available for use in Cloud Hadoop. ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | GET \| POST | /vhadoop/v2/getCloudHadoopImageProductList | Note This guide is based on the GET method. POST method call tests can be performed through Swagger in the API Gateway service of the NAVER Cloud Platform console. ### Request headers For information about the headers common to all Cloud Hadoop APIs, see [Cloud Hadoop request headers](/docs/en/analytics-vhadoop#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request query parameters You can use the following query parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `regionCode` | String | Optional | Region code - See [getRegionList](/docs/en/compute-vserver-server-common-getregionlist). - First Region in the query results (default). | | `productCode` | String | Optional | Filter by cluster image code. | | `generationCode` | String | Optional | Server generation code | | `exclusionProductCode` | String | Optional | Filter by excluding cluster image codes. | | `responseFormatType` | String | Optional | Format of the response data - `xml` (default) \| `json` | ### Request example The request example is as follows: ``` curl --location --request GET 'https://ncloud.apigw.ntruss.com/vhadoop/v2/getCloudHadoopImageProductList ?regionCode=KR &productCode=SW.VCHDP.LNX64.CNTOS.0708.HDP.13.B050 &responseFormatType=json' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' ``` ## Response This section describes the response format. ### Response body The response body includes the following data: | Field | Type | Required | Description | | --- | --- | --- | --- | | `getCloudHadoopImageProductListResponse` | Object | - | Response result - See [ProductList](/docs/en/common-vapidatatype-productlist). | | `getCloudHadoopImageProductListResponse.requestId` | String | - | ID for the request - UUID format | | `getCloudHadoopImageProductListResponse.returnCode` | String | - | Response code | | `getCloudHadoopImageProductListResponse.returnMessage` | String | - | Response message | ### Response status codes For information about the HTTP status codes common to all Cloud Hadoop APIs, see [Cloud Hadoop response status codes](/docs/en/analytics-vhadoop#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The response example is as follows: ``` { "getCloudHadoopImageProductListResponse": { "totalRows": 1, "productList": [ { "productCode": "SW.VCHDP.LNX64.CNTOS.0708.HDP.13.B050", "productName": "Cloud Hadoop 1.3", "productType": { "code": "LINUX", "codeName": "Linux" }, "productDescription": "CentOS 7.8 with Cloud Hadoop 1.3", "infraResourceType": { "code": "SW", "codeName": "Software" }, "baseBlockStorageSize": 53687091200, "platformType": { "code": "LNX64", "codeName": "Linux 64 Bit" }, "osInformation": "CentOS 7.8 with Cloud Hadoop 1.3 (64-bit)", "generationCode": "G2" } ], "requestId": "56e3b947-****-****-****-93f758d15758", "returnCode": "0", "returnMessage": "success" } } ```